namespace eval emc {
    variable HOME /usr/src/emc2-2.1.3
    variable BIN_DIR /usr/bin
    variable TCL_DIR /usr/share/emc/tcl
    variable TCL_BIN_DIR /usr/share/emc/tcl/bin
    variable TCL_SCRIPT_DIR /usr/share/emc/tcl/scripts
    variable HELP_DIR /usr/share/doc/emc2
    variable RTLIB_DIR /usr/realtime-2.6.12-magma/modules/emc2
    variable CONFIG_PATH {~/emc2/configs:/usr/local/etc/emc2/configs:/etc/emc2/sample-configs}
    variable NCFILES_DIR /usr/share/emc/ncfiles
    variable LANG_DIR /usr/share/emc/tcl/msgs
    variable IMAGEDIR /etc/emc2/
    variable REALTIME /etc/init.d/realtime

    variable _langinit 1
}

if {[string first $::emc::BIN_DIR: $env(PATH)] != 0} {
    set env(PATH) $::emc::BIN_DIR:$env(PATH)
}

proc emc::image_search i {
    set paths "$emc::HOME $emc::HOME/etc/emc2 /etc/emc2 ."
    foreach f $paths {
        if [file exists $f/$i] {
            return [image create photo -file $f/$i]
        }
        if [file exists $f/$i.gif] {
            return [image create photo -file $f/$i.gif]
        }
    }
    error "image $i is not available"
}

# Internationalisation (i18n)
# in order to use i18n, all the strings will be called [msgcat::mc "string-foo"]
# instead of "string-foo".
# Thus msgcat searches for a translation of the string, and in case one isn't 
# found, the original string is used.
# In order to properly use locale's the env variable LANG is queried.
# If LANG is defined, then the folder src/po is searched for files
# called *.msg, (e.g. en_US.msg).
package require msgcat
if {$emc::_langinit && [info exists env(LANG)]} {
    msgcat::mclocale $env(LANG)
    msgcat::mcload $emc::LANG_DIR
    set emc::_langinit 0
}
